<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>CSS Introduction</title>

		<!-- external css -->
		<link rel="stylesheet" type="text/css" href="./index.css">

		<!-- Internal styling - styles added using the style tag inside the html file -->
		 
			<!-- <style type="text/css">
			/*
				CSS Syntax:
					selector{
						property:  value;
					}
					selector - which element the style will be applied
					property - the selected styling attribute to be modified
					value - the modified value of the selected styling
			*/
			h1{
				color: blue;
			}
			</style>  -->
		

	</head>
	<body>
		<!-- CSS Specificity Rule -->
		<!-- Including CSS in html 
				-inline
				-internal
				-external
		-->

		<!-- 
		CSS Selector
		- ID
		- Class
		- Attribute
		- Type/Tag
		- Universal
		 -->

		 <nav>
		 	<a href="#landing">Zuitt</a>
		 	<div>
		 		<a href="#landing">Landing</a>
		 		<a href="#register">Register</a>
		 	</div>
		 </nav>

		<!-- Inline styling - style added within html element
			ex. <h1 style="color: red;">Hello World</h1> 
		-->
		<h1>Hello World</h1>

		<section id="landing">
			<h2>Welcome to Zuitt!</h2>

			<h3 id="zuitt-motto">Opportunities for everyone, everywhere!</h3>

			<img src="https://place-puppy.com/450x450">

			<ol id="bootcamp-learning-list">
				<li class="offering-item">Day Classes</li>
				<li class="offering-item">Night Classes</li>
				<li class="offering-item">Intro to Coding Events</li>
			</ol>

		<a href="#top">Back to top</a>
		</section>

		<section id="register">

			<h2>Register</h2>
			<form>
				<label for="firstname">First Name</label>
				<input type="text" id="firstname" name="firstname" required autocomplete>

				<label for="lastname">Last Name</label>
				<input type="text" id="lastname" name="lastname" required autocomplete>

				<label for="email">Email</label>
				<input type="email" id="email" name="email" required autocomplete>

				<button type="submit">Apply Now</button>
			</form>
		<a href="#top">Back to top</a>	
		</section>

		

<!-- 		<h2>CSS Selector Combinators</h2>
		<div id="parent">
			<p>First Paragraph</p>
			<p>Second Paragraph</p>
			<section>
				<p>Third Paragraph</p>
			</section>
		</div>

		<p>Fourth Paragraph</p>
		<p>Fifth Paragraph</p>

		<div>
			<p>Sixth Paragraph</p>
			<p>Seventh Paragrap</p>
		</div>

		<p>sample paragraph</p>

		<div>
			<p>Eighth Paragraph</p>
			<p>Ninth Paragraph</p>
			<p>Tenth Paragraph</p>
			<section>
				<p>Eleventh Paragraph</p>
			</section>
		</div> -->
	</body>
</html>